Автор Тема: Проблемы с обновлением, 9 ветка There are multiple versions of "" in your system  (Прочитано 1109 раз)

Оффлайн Иволгин

  • Давно тут
  • **
  • Сообщений: 238
В системе alt-kworkstation-9.0-install-x86_64.iso (дата скачивания 18.06.2020 проверочная сумма 56879c4b8501957e8fe7bc0950d343a0) -

Проблемы во время обновления, Синаптик пишет

Произошла ошибка

Сведения об ошибке:
W: There are multiple versions of "libnvidia-ml" in your system.

This package won't be cleanly updated, unless you leave
only one version. To leave multiple versions installed,
you may remove that warning by setting the following
option in your configuration file:

RPM::Allow-Duplicated { "^libnvidia-ml$"; };

To disable these warnings completely set:

RPM::Allow-Duplicated-Warning "false";

W: There are multiple versions of "gpg-pubkey" in your system.

This package won't be cleanly updated, unless you leave
only one version. To leave multiple versions installed,
you may remove that warning by setting the following
option in your configuration file:

RPM::Allow-Duplicated { "^gpg-pubkey$"; };

To disable these warnings completely set:

RPM::Allow-Duplicated-Warning "false";

W: There are multiple versions of "libnvidia-opencl" in your system.

This package won't be cleanly updated, unless you leave
only one version. To leave multiple versions installed,
you may remove that warning by setting the following
option in your configuration file:

RPM::Allow-Duplicated { "^libnvidia-opencl$"; };

To disable these warnings completely set:

RPM::Allow-Duplicated-Warning "false";
W: There are multiple versions of "pciids" in your system.

This package won't be cleanly updated, unless you leave
only one version. To leave multiple versions installed,
you may remove that warning by setting the following
option in your configuration file:

RPM::Allow-Duplicated { "^pciids$"; };

To disable these warnings completely set:

RPM::Allow-Duplicated-Warning "false";

W: There are multiple versions of "libnvidia-compiler" in your system.

This package won't be cleanly updated, unless you leave
only one version. To leave multiple versions installed,
you may remove that warning by setting the following
option in your configuration file:

RPM::Allow-Duplicated { "^libnvidia-compiler$"; };

To disable these warnings completely set:

RPM::Allow-Duplicated-Warning "fal
W: There are multiple versions of "libnvidia-ptxjitcompiler" in your system.

This package won't be cleanly updated, unless you leave
only one version. To leave multiple versions installed,
you may remove that warning by setting the following
option in your configuration file:

RPM::Allow-Duplicated { "^libnvidia-ptxjitcompiler$"; };

To disable these warnings completely set:

RPM::Allow-Duplicated-
W: There are multiple versions of "docs-alt-kworkstation" in your system.

This package won't be cleanly updated, unless you leave
only one version. To leave multiple versions installed,
you may remove that warning by setting the following
option in your configuration file:

RPM::Allow-Duplicated { "^docs-alt-kworkstation$"; };

To disable these warnings completely set:

RPM::Allow-Duplicated-Warnin

« Последнее редактирование: 24.04.2021 18:20:36 от sb »

Оффлайн Skull

  • Глобальный модератор
  • *****
  • Сообщений: 18 579
    • Домашняя страница
    • Email
« Последнее редактирование: 24.04.2021 18:21:41 от sb »
Андрей Черепанов (cas@)


Оффлайн Иволгин

  • Давно тут
  • **
  • Сообщений: 238
Прошу прощения, оказалось - не удалились дублирующиеся пакеты в Синаптике,
Попробовал в консоли, пишет "Ошибка сегментирования", вывод ниже
# apt-get dedup
Чтение списков пакетов... Завершено
Построение дерева зависимостей... Завершено
kernel-modules-bcmwl-std-def#6.30.223.248-alt17.328745.1:p9+251743.600.1.1@1589544297 is allowed duplicate
kernel-modules-virtualbox-addition-guest-std-def#6.1.8-alt1.328745.1:p9+252067.300.4.1@1590684658 is allowed duplicate
kernel-modules-rtl8821ce-std-def#5.5.2-alt1.328745.1:p9+251743.2600.1.1@1589545193 is allowed duplicate
kernel-modules-virtualbox-addition-video-std-def#6.1.8-alt1.328745.1:p9+252067.300.4.1@1590684658 is allowed duplicate
kernel-image-std-def#1:5.4.41-alt1:p9+251743.100.1.1@1589906164 is allowed duplicate
kernel-modules-virtualbox-std-def#6.1.8-alt1.328745.1:p9+252067.400.4.1@1590684727 is allowed duplicate
kernel-modules-e1000e-std-def#3.4.2.1-alt2.328745.1:p9+251743.1100.1.1@1589544407 is allowed duplicate
kernel-modules-virtualbox-addition-std-def#6.1.8-alt1.328745.1:p9+252067.300.4.1@1590684658 is allowed duplicate
kernel-modules-acpi_call-std-def#0.1-alt5.k.328745.1:p9+251743.400.1.1@1589544231 is allowed duplicate
kernel-modules-drm-std-def#1:5.4.41-alt1:p9+251743.100.1.1@1589543818 is allowed duplicate
kernel-modules-staging-std-def#1:5.4.41-alt1:p9+251743.100.1.1@1589543818 is allowed duplicate
kernel-modules-bbswitch-std-def#0.8-alt1.k.328745.1:p9+251743.500.1.1@1589544260 is allowed duplicate
kernel-modules-nvidia-std-def#440.82-alt1.328745.1:p9+251743.2200.2.1@1589906493 is allowed duplicate
kernel-modules-drm-radeon-std-def#1:5.4.41-alt1:p9+251743.100.1.1@1589543818 is allowed duplicate
kernel-modules-v4l-std-def#1:5.4.41-alt1:p9+251743.100.1.1@1589543818 is allowed duplicate
kernel-modules-rtl8723de-std-def#5.1.1.8-alt15.328745.1:p9+251743.2500.1.1@1589545151 is allowed duplicate
Следующие пакеты будут УДАЛЕНЫ:
  gpg-pubkey#4a3aa3d6-5c06773f@1543927615 gpg-pubkey#cc5fdb34-540dae43@1410182723
  libnvidia-compiler#460.39-alt1:p9+266633.300.2.1@1614195260
  libnvidia-ml#460.39-alt1:p9+266633.300.2.1@1614195260
  libnvidia-opencl#460.39-alt1:p9+266633.300.2.1@1614195260
  libnvidia-ptxjitcompiler#460.39-alt1:p9+266633.300.2.1@1614195260
  pciids#20210222-alt1:p9+266935.100.1.1@1614209506
0 будет обновлено, 0 новых установлено, 7 пакетов будет удалено и 99 не будет обновлено.
Необходимо получить 0B архивов.
После распаковки будет освобождено 81,3MB дискового пространства.
Продолжить? [Y/n] y
Ошибка сегментирования
Тем временем система перестала обновляться из-за этого:Во время подготовки к установке:
    файл /usr/lib64/libnvidia-ptxjitcompiler.so.1 из устанавливаемого пакета libnvidia-ptxjitcompiler-460.80-alt1.x86_64 конфликтует с файлом из пакета libnvidia-ptxjitcompiler-460.39-alt1.x86_64
    файл /usr/lib64/libnvidia-ptxjitcompiler.so.1 из устанавливаемого пакета libnvidia-ptxjitcompiler-460.80-alt1.x86_64 конфликтует с файлом из пакета libnvidia-ptxjitcompiler-460.56-alt1.x86_64
    файл /usr/lib64/libnvidia-opencl.so.1 из устанавливаемого пакета libnvidia-opencl-460.80-alt1.x86_64 конфликтует с файлом из пакета libnvidia-opencl-460.39-alt1.x86_64
    файл /usr/lib64/libnvidia-opencl.so.1 из устанавливаемого пакета libnvidia-opencl-460.80-alt1.x86_64 конфликтует с файлом из пакета libnvidia-opencl-460.56-alt1.x86_64
    файл /usr/lib64/libnvidia-ml.so.1 из устанавливаемого пакета libnvidia-ml-460.80-alt1.x86_64 конфликтует с файлом из пакета libnvidia-ml-460.39-alt1.x86_64
    файл /usr/lib64/libnvidia-ml.so.1 из устанавливаемого пакета libnvidia-ml-460.80-alt1.x86_64 конфликтует с файлом из пакета libnvidia-ml-460.56-alt1.x86_64
E: Error while running transaction

Оффлайн Иволгин

  • Давно тут
  • **
  • Сообщений: 238
Разобрался, это удаление gpg-pubkey для Вивальди (2 штуки) и Яндекс.Браузера выдаёт Ошибку сегментирования,
libnvidia-* удалились в консоли через обычный apt-get remove. Сейчас попробую обновиться.

Оффлайн Иволгин

  • Давно тут
  • **
  • Сообщений: 238
Всё нормально, система обновилась без ошибок.

Оффлайн Иволгин

  • Давно тут
  • **
  • Сообщений: 238
Всё же надоедает постоянно появляющееся окошко предупреждения в Синоптике:
W: There are multiple versions of "gpg-pubkey" in your system.

This package won't be cleanly updated, unless you leave
only one version. To leave multiple versions installed,
you may remove that warning by setting the following
option in your configuration file:

RPM::Allow-Duplicated { "^gpg-pubkey$"; };

To disable these warnings completely set:

RPM::Allow-Duplicated-Warning "false";
Просьба подсказать какой командой можно либо разрешить наконец дубли gpg, либо убрать эти бесполезные предупреждалки.

Оффлайн Skull

  • Глобальный модератор
  • *****
  • Сообщений: 18 579
    • Домашняя страница
    • Email
Не командой, а правкой файла /etc/apt/apt.conf.
По аналогии с kernel...
Андрей Черепанов (cas@)

Оффлайн Koi

  • Мастер
  • ***
  • Сообщений: 1 941
  • валар дохаэрис
    • Канал на youtube
это удаление gpg-pubkey для Вивальди (2 штуки) и Яндекс.Браузера
Как альтернативный вариант оставить репозиторный остальные под нож:
$ rpm --help | grep -w '\-e'
  -e, --erase=<пакет>+               удалить